org.apache.lucene.queryparser.flexible.messages

## Class NLS

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.messages.NLS

- Direct Known Subclasses:
    QueryParserMessages

      public class NLS
      extends Object

  MessageBundles classes extend this class, to implement a bundle. For Native Language Support (NLS), system of software internationalization. This interface is similar to the NLS class in eclipse.osgi.util.NLS class - initializeMessages() method resets the values of all static strings, should only be called by classes that extend from NLS (see TestMessages.java for reference) - performs validation of all message in a bundle, at class load time - performs per message validation at runtime - see NLSTest.java for usage reference MessageBundle classes may subclass this type.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NLS()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getLocalizedMessage(String key)`
    `static String` | `getLocalizedMessage(String key, Locale locale)`
    `static String` | `getLocalizedMessage(String key, Locale locale, Object... args)`
    `static String` | `getLocalizedMessage(String key, Object... args)`
    `protected static void` | `initializeMessages(String bundleName, Class<? extends NLS> clazz)` Initialize a given class with the message bundle Keys Should be called from a class that extends NLS in a static block at class load time.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NLS

          protected NLS()

  - ### Method Detail

    - #### getLocalizedMessage

          public static String getLocalizedMessage(String key)

    - #### getLocalizedMessage

          public static String getLocalizedMessage(String key,
                                                   Locale locale)

    - #### getLocalizedMessage

          public static String getLocalizedMessage(String key,
                                                   Locale locale,
                                                   Object... args)

    - #### getLocalizedMessage

          public static String getLocalizedMessage(String key,
                                                   Object... args)

    - #### initializeMessages

          protected static void initializeMessages(String bundleName,
                                                   Class<? extends NLS> clazz)

      Initialize a given class with the message bundle Keys Should be called from a class that extends NLS in a static block at class load time.
      Parameters:
        `bundleName` - Property file with that contains the message bundle
        `clazz` - where constants will reside

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.